DCMTK: DRTAnatomicRegionSequence::Item Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTAnatomicRegionSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTAnatomicRegionSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getCodeMeaning (OFString &value, const signed long pos=0) const
| get CodeMeaning (0008,0104)
OFCondition | getCodeValue (OFString &value, const signed long pos=0) const
| get CodeValue (0008,0100)
OFCondition | getCodingSchemeDesignator (OFString &value, const signed long pos=0) const
| get CodingSchemeDesignator (0008,0102)
OFCondition | getCodingSchemeVersion (OFString &value, const signed long pos=0) const
| get CodingSchemeVersion (0008,0103)
OFCondition | getContextGroupExtensionCreatorUID (OFString &value, const signed long pos=0) const
| get ContextGroupExtensionCreatorUID (0008,010d)
OFCondition | getContextGroupExtensionFlag (OFString &value, const signed long pos=0) const
| get ContextGroupExtensionFlag (0008,010b)
OFCondition | getContextGroupLocalVersion (OFString &value, const signed long pos=0) const
| get ContextGroupLocalVersion (0008,0107)
OFCondition | getContextGroupVersion (OFString &value, const signed long pos=0) const
| get ContextGroupVersion (0008,0106)
OFCondition | getContextIdentifier (OFString &value, const signed long pos=0) const
| get ContextIdentifier (0008,010f)
OFCondition | getContextUID (OFString &value, const signed long pos=0) const
| get ContextUID (0008,0117)
OFCondition | getLongCodeValue (OFString &value, const signed long pos=0) const
| get LongCodeValue (0008,0119)
OFCondition | getMappingResource (OFString &value, const signed long pos=0) const
| get MappingResource (0008,0105)
OFCondition | getMappingResourceName (OFString &value, const signed long pos=0) const
| get MappingResourceName (0008,0122)
OFCondition | getMappingResourceUID (OFString &value, const signed long pos=0) const
| get MappingResourceUID (0008,0118)
OFCondition | getURNCodeValue (OFString &value, const signed long pos=0) const
| get URNCodeValue (0008,0120)
DRTAnatomicRegionModifierSequence & | getAnatomicRegionModifierSequence ()
| get AnatomicRegionModifierSequence (0008,2220)
const DRTAnatomicRegionModifierSequence & | getAnatomicRegionModifierSequence () const
| get AnatomicRegionModifierSequence (0008,2220)
DRTEquivalentCodeSequence & | getEquivalentCodeSequence ()
| get EquivalentCodeSequence (0008,0121)
const DRTEquivalentCodeSequence & | getEquivalentCodeSequence () const
| get EquivalentCodeSequence (0008,0121)
OFCondition | setCodeMeaning (const OFString &value, const OFBool check=OFTrue)
| set CodeMeaning (0008,0104)
OFCondition | setCodeValue (const OFString &value, const OFBool check=OFTrue)
| set CodeValue (0008,0100)
OFCondition | setCodingSchemeDesignator (const OFString &value, const OFBool check=OFTrue)
| set CodingSchemeDesignator (0008,0102)
OFCondition | setCodingSchemeVersion (const OFString &value, const OFBool check=OFTrue)
| set CodingSchemeVersion (0008,0103)
OFCondition | setContextGroupExtensionCreatorUID (const OFString &value, const OFBool check=OFTrue)
| set ContextGroupExtensionCreatorUID (0008,010d)
OFCondition | setContextGroupExtensionFlag (const OFString &value, const OFBool check=OFTrue)
| set ContextGroupExtensionFlag (0008,010b)
OFCondition | setContextGroupLocalVersion (const OFString &value, const OFBool check=OFTrue)
| set ContextGroupLocalVersion (0008,0107)
OFCondition | setContextGroupVersion (const OFString &value, const OFBool check=OFTrue)
| set ContextGroupVersion (0008,0106)
OFCondition | setContextIdentifier (const OFString &value, const OFBool check=OFTrue)
| set ContextIdentifier (0008,010f)
OFCondition | setContextUID (const OFString &value, const OFBool check=OFTrue)
| set ContextUID (0008,0117)
OFCondition | setLongCodeValue (const OFString &value, const OFBool check=OFTrue)
| set LongCodeValue (0008,0119)
OFCondition | setMappingResource (const OFString &value, const OFBool check=OFTrue)
| set MappingResource (0008,0105)
OFCondition | setMappingResourceName (const OFString &value, const OFBool check=OFTrue)
| set MappingResourceName (0008,0122)
OFCondition | setMappingResourceUID (const OFString &value, const OFBool check=OFTrue)
| set MappingResourceUID (0008,0118)
OFCondition | setURNCodeValue (const OFString &value, const OFBool check=OFTrue)
| set URNCodeValue (0008,0120)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DRTAnatomicRegionModifierSequence | AnatomicRegionModifierSequence
| AnatomicRegionModifierSequence (0008,2220) vr=SQ, vm=1, type=3.
DcmLongString | CodeMeaning
| CodeMeaning (0008,0104) vr=LO, vm=1, type=1.
DcmShortString | CodeValue
| CodeValue (0008,0100) vr=SH, vm=1, type=1C.
DcmShortString | CodingSchemeDesignator
| CodingSchemeDesignator (0008,0102) vr=SH, vm=1, type=1C.
DcmShortString | CodingSchemeVersion
| CodingSchemeVersion (0008,0103) vr=SH, vm=1, type=1C.
DcmUniqueIdentifier | ContextGroupExtensionCreatorUID
| ContextGroupExtensionCreatorUID (0008,010d) vr=UI, vm=1, type=1C.
DcmCodeString | ContextGroupExtensionFlag
| ContextGroupExtensionFlag (0008,010b) vr=CS, vm=1, type=3.
DcmDateTime | ContextGroupLocalVersion
| ContextGroupLocalVersion (0008,0107) vr=DT, vm=1, type=1C.
DcmDateTime | ContextGroupVersion
| ContextGroupVersion (0008,0106) vr=DT, vm=1, type=1C.
DcmCodeString | ContextIdentifier
| ContextIdentifier (0008,010f) vr=CS, vm=1, type=3.
DcmUniqueIdentifier | ContextUID
| ContextUID (0008,0117) vr=UI, vm=1, type=3.
DRTEquivalentCodeSequence | EquivalentCodeSequence
| EquivalentCodeSequence (0008,0121) vr=SQ, vm=1, type=3.
DcmUnlimitedCharacters | LongCodeValue
| LongCodeValue (0008,0119) vr=UC, vm=1, type=1C.
DcmCodeString | MappingResource
| MappingResource (0008,0105) vr=CS, vm=1, type=1C.
DcmLongString | MappingResourceName
| MappingResourceName (0008,0122) vr=LO, vm=1, type=3.
DcmUniqueIdentifier | MappingResourceUID
| MappingResourceUID (0008,0118) vr=UI, vm=1, type=3.
DcmUniversalResourceIdentifierOrLocator | URNCodeValue
| URNCodeValue (0008,0120) vr=UR, vm=1, type=1C.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTAnatomicRegionSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTAnatomicRegionSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getAnatomicRegionModifierSequence() [1/2]

DRTAnatomicRegionModifierSequence & DRTAnatomicRegionSequence::Item::getAnatomicRegionModifierSequence | ( |  | ) |
| inline

get AnatomicRegionModifierSequence (0008,2220)

Returns
  reference to sequence element

References AnatomicRegionModifierSequence.

## ◆ getAnatomicRegionModifierSequence() [2/2]

const DRTAnatomicRegionModifierSequence & DRTAnatomicRegionSequence::Item::getAnatomicRegionModifierSequence | ( |  | ) | const
| inline

get AnatomicRegionModifierSequence (0008,2220)

Returns
  const reference to sequence element

References AnatomicRegionModifierSequence.

## ◆ getCodeMeaning()

OFCondition DRTAnatomicRegionSequence::Item::getCodeMeaning | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CodeMeaning (0008,0104)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCodeValue()

OFCondition DRTAnatomicRegionSequence::Item::getCodeValue | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CodeValue (0008,0100)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCodingSchemeDesignator()

OFCondition DRTAnatomicRegionSequence::Item::getCodingSchemeDesignator | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CodingSchemeDesignator (0008,0102)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCodingSchemeVersion()

OFCondition DRTAnatomicRegionSequence::Item::getCodingSchemeVersion | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CodingSchemeVersion (0008,0103)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getContextGroupExtensionCreatorUID()

OFCondition DRTAnatomicRegionSequence::Item::getContextGroupExtensionCreatorUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ContextGroupExtensionCreatorUID (0008,010d)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getContextGroupExtensionFlag()

OFCondition DRTAnatomicRegionSequence::Item::getContextGroupExtensionFlag | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ContextGroupExtensionFlag (0008,010b)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getContextGroupLocalVersion()

OFCondition DRTAnatomicRegionSequence::Item::getContextGroupLocalVersion | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ContextGroupLocalVersion (0008,0107)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getContextGroupVersion()

OFCondition DRTAnatomicRegionSequence::Item::getContextGroupVersion | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ContextGroupVersion (0008,0106)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getContextIdentifier()

OFCondition DRTAnatomicRegionSequence::Item::getContextIdentifier | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ContextIdentifier (0008,010f)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getContextUID()

OFCondition DRTAnatomicRegionSequence::Item::getContextUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ContextUID (0008,0117)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getEquivalentCodeSequence() [1/2]

DRTEquivalentCodeSequence & DRTAnatomicRegionSequence::Item::getEquivalentCodeSequence | ( |  | ) |
| inline

get EquivalentCodeSequence (0008,0121)

Returns
  reference to sequence element

References EquivalentCodeSequence.

## ◆ getEquivalentCodeSequence() [2/2]

const DRTEquivalentCodeSequence & DRTAnatomicRegionSequence::Item::getEquivalentCodeSequence | ( |  | ) | const
| inline

get EquivalentCodeSequence (0008,0121)

Returns
  const reference to sequence element

References EquivalentCodeSequence.

## ◆ getLongCodeValue()

OFCondition DRTAnatomicRegionSequence::Item::getLongCodeValue | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get LongCodeValue (0008,0119)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getMappingResource()

OFCondition DRTAnatomicRegionSequence::Item::getMappingResource | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get MappingResource (0008,0105)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getMappingResourceName()

OFCondition DRTAnatomicRegionSequence::Item::getMappingResourceName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get MappingResourceName (0008,0122)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getMappingResourceUID()

OFCondition DRTAnatomicRegionSequence::Item::getMappingResourceUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get MappingResourceUID (0008,0118)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getURNCodeValue()

OFCondition DRTAnatomicRegionSequence::Item::getURNCodeValue | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get URNCodeValue (0008,0120)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTAnatomicRegionSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTAnatomicRegionSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTAnatomicRegionSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTAnatomicRegionSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCodeMeaning()

OFCondition DRTAnatomicRegionSequence::Item::setCodeMeaning | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CodeMeaning (0008,0104)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCodeValue()

OFCondition DRTAnatomicRegionSequence::Item::setCodeValue | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CodeValue (0008,0100)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCodingSchemeDesignator()

OFCondition DRTAnatomicRegionSequence::Item::setCodingSchemeDesignator | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CodingSchemeDesignator (0008,0102)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCodingSchemeVersion()

OFCondition DRTAnatomicRegionSequence::Item::setCodingSchemeVersion | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CodingSchemeVersion (0008,0103)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setContextGroupExtensionCreatorUID()

OFCondition DRTAnatomicRegionSequence::Item::setContextGroupExtensionCreatorUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ContextGroupExtensionCreatorUID (0008,010d)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setContextGroupExtensionFlag()

OFCondition DRTAnatomicRegionSequence::Item::setContextGroupExtensionFlag | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ContextGroupExtensionFlag (0008,010b)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setContextGroupLocalVersion()

OFCondition DRTAnatomicRegionSequence::Item::setContextGroupLocalVersion | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ContextGroupLocalVersion (0008,0107)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setContextGroupVersion()

OFCondition DRTAnatomicRegionSequence::Item::setContextGroupVersion | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ContextGroupVersion (0008,0106)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setContextIdentifier()

OFCondition DRTAnatomicRegionSequence::Item::setContextIdentifier | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ContextIdentifier (0008,010f)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setContextUID()

OFCondition DRTAnatomicRegionSequence::Item::setContextUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ContextUID (0008,0117)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setLongCodeValue()

OFCondition DRTAnatomicRegionSequence::Item::setLongCodeValue | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set LongCodeValue (0008,0119)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UC) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setMappingResource()

OFCondition DRTAnatomicRegionSequence::Item::setMappingResource | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set MappingResource (0008,0105)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setMappingResourceName()

OFCondition DRTAnatomicRegionSequence::Item::setMappingResourceName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set MappingResourceName (0008,0122)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setMappingResourceUID()

OFCondition DRTAnatomicRegionSequence::Item::setMappingResourceUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set MappingResourceUID (0008,0118)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setURNCodeValue()

OFCondition DRTAnatomicRegionSequence::Item::setURNCodeValue | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set URNCodeValue (0008,0120)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UR) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTAnatomicRegionSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtars.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1